using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using ezBarcodeComponent.Winform;

namespace WindowsFormExample
{
    public partial class QRCode : Form
    {
        public QRCode()
        {
            InitializeComponent();
            this.barcode1.Symbology = ezBarcodeComponent.Winform.Symbologies.QRCode;
            this.barcode1.CodeData = this.txtCodeData.Text;  
        }

        private void ApplyChange()
        {

            this.barcode1.UseCaret = this.checkBox1.Checked;
            this.barcode1.CodeData = txtCodeData.Text;
            switch (this.cboRotation.SelectedIndex)
            {
                case 0: this.barcode1.RotationAngle = RotationAngles.Zero; break;
                case 1: this.barcode1.RotationAngle = RotationAngles.Ninety; break;
                case 2: this.barcode1.RotationAngle = RotationAngles.One_Hundred_Eighty; break;
                case 3: this.barcode1.RotationAngle = RotationAngles.Two_Hundred_Seventy; break;
                default: this.barcode1.RotationAngle = RotationAngles.Zero; break;
            }
            this.barcode1.ForeColor = Color.FromName(this.cboForeColor.Text);
            this.barcode1.BackColor = Color.FromName(this.cboBackColor.Text);
            this.barcode1.TopMargin = Convert.ToDouble(this.numericUpDown1.Value);
            this.barcode1.LeftMargin = Convert.ToDouble(this.numericUpDown2.Value);
            this.barcode1.QRCodeBarSize = Convert.ToDouble(this.numericUpDown3.Value);
            this.barcode1.QRCodeEncoding = (QRCodeEncoding)this.comboBox1.SelectedIndex;
            this.barcode1.QRCodeErrorCorrectionLevel = (QRCodeErrorCorrectionLevel)this.comboBox2.SelectedIndex;

        }
        private void value_Changed(object sender, EventArgs e)
        {
            ApplyChange();
        }


    }
}